Categories:
  - Money
License: GPL-3.0-only
AuthorName: emavgl
AuthorEmail: emavgl.app@gmail.com
WebSite: https://github.com/emavgl/oinkoin
SourceCode: https://github.com/emavgl/oinkoin
IssueTracker: https://github.com/emavgl/oinkoin/issues
Changelog: https://github.com/emavgl/oinkoin/releases

AutoName: Oinkoin

RepoType: git
Repo: https://github.com/emavgl/oinkoin

Builds:
  - versionName: 1.0.18
    versionCode: 8008
    commit: 9b246c98ee6b740a622adea4f61b7e5b0f91427c
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    rm:
      - ios
      - macos
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk --release --flavor fdroid --split-per-abi
        --target-platform="android-arm64"

  - versionName: 1.0.21
    versionCode: 8011
    commit: 8270df8ddbd7efce29c60c80faa11baf11929883
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    rm:
      - ios
      - macos
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk --release --flavor fdroid --split-per-abi
        --target-platform="android-arm64"

  - versionName: 1.0.22
    versionCode: 8015
    commit: 82018464e1fbed15060a6baaac6411d463da6ab1
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    rm:
      - ios
      - macos
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk --release --flavor fdroid --split-per-abi
        --target-platform="android-arm64"

  - versionName: 1.0.22
    versionCode: 8016
    commit: 63b780d976b5427751776c5c6f00a913b85febd5
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    rm:
      - ios
      - macos
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk --release --flavor fdroid --split-per-abi
        --target-platform="android-arm64"

  - versionName: 1.0.23
    versionCode: 8017
    commit: 7d83f5ed4ea19d52f33ae87278b283c58f610268
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-fdroid-release.apk
    rm:
      - ios
      - macos
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk --release --flavor fdroid --split-per-abi
        --target-platform="android-arm64"

AutoUpdateMode: Version
UpdateCheckMode: Tags
VercodeOperation:
  - 2 * 1000 + %c
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.23
CurrentVersionCode: 8017
